Developer Documentation

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Modules Pages
Signals | Public Member Functions | Private Slots | Private Member Functions | List of all members
InfoVolumeMeshObjectPlugin Class Reference

Plugin to visualize information about open volume meshs in the scene. More...

`#include <Plugin-InfoVolumeMeshObject/VolumeMeshObjectInfoPlugin.hh>`

Inheritance diagram for InfoVolumeMeshObjectPlugin:

## Signals
void | setSlotDescription (QString _slotName, QString _slotDescription, QStringList _parameters, QStringList _descriptions)
void | log (Logtype _type, QString _message)
void | log (QString _message)
Signals inherited from BaseInterface
virtual void | updateView ()
| Update current view in Main Application. More...
virtual void | setSlotDescription (QString _slotName, QString _slotDescription, QStringList _parameters, QStringList _descriptions)
| Set a description for a public slot. More...
virtual void | setRenderer (unsigned int _viewer, QString _rendererName)
| Set a renderer for the given viewer. More...
Signals inherited from LoggingInterface
virtual void | log (Logtype _type, QString _message)=0
virtual void | log (QString _message)=0

## Public Member Functions
QString | name ()
| Name of the Plugin.
QString | description ()
| Description of the Plugin.

## Private Slots
void | initializePlugin ()
void | pluginsInitialized ()
| initialize the plugin
void | slotObjectUpdated (int _identifier, const UpdateType &_type)
void | slotObjectSelectionChanged (int _identifier)
void | slotAllCleared ()
void | noguiSupported ()

## Private Member Functions
template<class MeshT >
void | printMeshInfo (MeshT *_mesh, int _id, unsigned int _face, ACG::Vec3d &_hitPoint)
Private Member Functions inherited from BaseInterface
virtual void | noguiSupported ()
virtual | ~BaseInterface ()
| Destructor.
virtual void | blockScenegraphUpdates (bool _block)
| Tell the core to prevent scenegraph updates. More...
virtual void | updatedObject (int _objectId)
| An object has been changed or added by this plugin. More...
virtual void | updatedObject (int _identifier, const UpdateType &_type)
| An object has been changed or added by this plugin. More...
virtual void | nodeVisibilityChanged (int _identifier)
| A scenegraph node has been shown or hidden. More...
virtual void | getCurrentRenderer (unsigned int _viewer, QString &_rendererName)
| Get the current renderer for the given viewer. More...
Private Member Functions inherited from LoggingInterface
virtual | ~LoggingInterface ()
| Destructor.

## Scripting Functions
void | setDescriptions ()
| set scripting slot descriptions More...
int | vertexCount (int _id)
| get total number of vertices for a given object More...
int | edgeCount (int _id)
| get total number of edges for a given object More...
int | faceCount (int _id)
| get total number of faces for a given object More...
int | cellCount (int _id)
| get total number of cells for a given object More...
QString | version ()
| set scripting slot descriptions More...

## Detailed Description

Plugin to visualize information about open volume meshs in the scene.

Plugin to visualize information about open volume meshs in the scene

Definition at line 68 of file VolumeMeshObjectInfoPlugin.hh.

## Member Function Documentation

int InfoVolumeMeshObjectPlugin::cellCount | ( | int | _id | ) |
| slot

get total number of cells for a given object

Parameters

  _id | object id

Returns
  number of cells or -1 if an error occured

Definition at line 211 of file VolumeMeshObjectInfoScripting.cc.

int InfoVolumeMeshObjectPlugin::edgeCount | ( | int | _id | ) |
| slot

get total number of edges for a given object

Parameters

  _id | object id

Returns
  number of edges or -1 if an error occured

Definition at line 127 of file VolumeMeshObjectInfoScripting.cc.

int InfoVolumeMeshObjectPlugin::faceCount | ( | int | _id | ) |
| slot

get total number of faces for a given object

Parameters

  _id | object id

Returns
  number of faces or -1 if an error occured

Definition at line 169 of file VolumeMeshObjectInfoScripting.cc.

void InfoVolumeMeshObjectPlugin::setDescriptions | ( |  | ) |
| private

set scripting slot descriptions

set the descriptions for scripting slots

Definition at line 62 of file VolumeMeshObjectInfoScripting.cc.

QString InfoVolumeMeshObjectPlugin::version | ( |  | ) |
| inline slot

set scripting slot descriptions

set the descriptions for scripting slots

Definition at line 134 of file VolumeMeshObjectInfoPlugin.hh.

int InfoVolumeMeshObjectPlugin::vertexCount | ( | int | _id | ) |
| slot

get total number of vertices for a given object

Parameters

  _id | object id

Returns
  number of vertices or -1 if an error occured

Definition at line 85 of file VolumeMeshObjectInfoScripting.cc.

The documentation for this class was generated from the following files:

- Plugin-InfoVolumeMeshObject/VolumeMeshObjectInfoPlugin.hh
- Plugin-InfoVolumeMeshObject/VolumeMeshObjectInfoPlugin.cc
- Plugin-InfoVolumeMeshObject/VolumeMeshObjectInfoScripting.cc